Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class SCSequence

    java.lang.Object
      |
      +--quicktime.std.qtcomponents.SCSequence

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SCSequence
extends java.lang.Object
implements quicktime.jdirect.QuickTimeLib

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`SCInfo` | `compressFrame(QDGraphics src, QDRect srcRect)` Compresses a frame that is sourced by a PixMap from the supplied QDGraphics, returning the compressed data.
`ImageDescription` | `getDescription()` Return the description
`ImageCompressionDialog` | `getDialog()` Return the SCDialog

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDescription

    public ImageDescription getDescription()

  Return the description

### getDialog

    public ImageCompressionDialog getDialog()

  Return the SCDialog

### compressFrame

    public SCInfo compressFrame(QDGraphics src,
                                QDRect srcRect)
                         throws QTException

  Compresses a frame that is sourced by a PixMap from the supplied QDGraphics, returning the compressed data.
  QuickTime::SCCompressImage()

  Parameters:
    `src` - the source PixMap from the QDGraphics.
    `srcRect` - you can specify to compress just a part of the pix map by specifying a rectangle - or pass in null to compress the entire pix map.
  Returns:
    an image data object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD